<div class="container" style="margin-top: 70px;">
    <table class="table">
        <thead>
            <tr>
              <th>#</th>
              <th>Nome</th>
              <th>CRM</th>
              <th>Especialidade</th>
            </tr>
          </thead>
          <tbody>
              <tr *ngFor = "let m of medicos">
                    <td>{{m.id}}</td>
                    <td>{{m.nome}}</td>
                    <td>{{m.crm}}</td>
                    <td>{{m.especialidade}}</td>
                    <td><button class="btn btn-primary" (click)="selectMedico(m)"> Mostrar detalhes</button></td>
                    <td><button class="btn btn-danger" (click)="excluir(m.id)"> Excluir</button></td>

                </tr>
         </tbody>
    </table>

    <div class="card text-center" *ngIf="medicoSelecionado">
            <div class="card-header">
              # {{medicoSelecionado.id}}
            </div>
            <div class="card-block">
              <h4 class="card-title">{{medicoSelecionado.nome}}</h4>
            </div>
      
          </div>

    
</div>
